Valutazione 4.87/ 5 (100.00%) 5838 voti

Condividi:        

PyQT installazione

Per tutti i tuoi problemi Linux entra qui e risolvili!

Moderatori: gunter, zendune

PyQT installazione

Postdi yorelchr » 09/11/11 12:42

ciao a tutti,

Devo installare un codice su linux ma per questo, serve l'installazione di altri programmi che richiedono anche loro l'installazione di altri prog.....

Ora, volendo installare uno dei programmi che fanno parte del codice, ho il messaggio :

configure:error: cannot find PyQT4 support (> =4.3)

e quindi, eccomi su http://www.riverbankcomputing.co.uk/software/pyqt/download dove è scritto :

"Before you can build PyQt you must have already built and installed SIP" e quindi, vado li:

http://www.riverbankcomputing.co.uk/software/sip/download e mi scarico sip-4.13.tar.gz.
L'installazione nn mi dà erorri. Sembra tutto ok.

Torno dunque a PyQT, scarico PyQt-x11-gpl-4.8.6.tar.gz e scrivo - come scritto nel README file :
python configure.py

E mi viene il messaggio :

Error: Make sure you have a working Qt v4 qmake on your PATH or use the -q
argument to explicitly specify a working Qt v4 qmake.


Qualcuno saprebbe cosa significa? cos'è il mio "PATH" ? nn è la prima volta che mi ritrovo con questo termine nei messaggi ma non so cosa farne.

grazie a tutti per i vostri consigli
yorelchr
yorelchr
Utente Junior
 
Post: 37
Iscritto il: 18/10/11 15:05

Sponsor
 

Re: PyQT installazione

Postdi yorelchr » 11/11/11 14:31

ciao a tutti,

sono sempre con il mio problema con PyQt4.
Ora, quando voglio installare il mio programma, mi viene il messagio seguente :

configure: error: cannot find PyQt4 support (>= 4.3), Graphical User Interface cannot be installed
See `config.log' for more details

ma se faccio : yum install PyQt4, mi dice :

Loaded plugins: presto, refresh-packagekit
adobe-linux-i386 | 951 B 00:00
updates/metalink | 2.4 kB 00:00
Setting up Install Process
Package PyQt4-4.7.3-1.fc12.x86_64 already installed and latest version
Nothing to do

non so piu che fare; ho reinstallato tutto ma non trovo nessuna soluzione.
Anche su internet, non sono riuscita a trovare la soluzione.

grazie in anticipo

yorelchr
yorelchr
Utente Junior
 
Post: 37
Iscritto il: 18/10/11 15:05

Postdi archimede » 11/11/11 16:50

Se usi Fedora, hai provato
Codice: Seleziona tutto
yum install PyQT4
?

Se si tratta di pacchetti che stanno nei repositories ufficiali, in genere è meglio usare l'installer di Fedora (che ha pure una GUI, se preferisci).

HTH.

Alessandro

PS: scusa, non avevo letto bene il tuo ultimo messaggio. Ma cosa devi installare esattamente?
archimede
Moderatore
 
Post: 2755
Iscritto il: 07/11/02 12:41
Località: Genova

Re: PyQT installazione

Postdi yorelchr » 11/11/11 19:19

ciao Archimede,

allora, in realtà, voglio installare Saturne, une codice CFD sviluapto dall'EDF ( equivalente francese di ENEL)
Per questo, seguo tutte le istruzioni a questo link: (purtroppo scusami, è in francese):
http://wiki.mandriva.com/fr/index.php?title=Code_Saturne

Per installare i packages che costituiscono il codice Saturne, serve tutta una serie di altri programmi e libraries.
Per il codice, mi rimane soltanto l'ultimo modulo da installare (il punto 5 - compilation de ncs).
Quindi prima ho installato tutto quel che potevo...e in particolare Python, PyQT4 e Qt4. Per installare ho fatto
./configure
make
make install
o altro se era richiesto altro nei README o INSTALL file. Non ho usato il yum. Questo era soltanto per vedere cosa mi diceva il computer visto che mi da il messaggio di errore che ho postato prima.
Non so cosa nn va. Sto provando di nuovo da capo....
E ora sto anche provando ad installare Paraview che mi sembra anche lui un bel codice impegnativo !!!! e anche lui richiede Python, Qt etc....
Se hai qualche idea, mi aiuterebbe tanto. Ho bisogno di questi codici per il lavoro....e ci sono già da mercoledi mattina !!!

Per quanto riguarda a Linux, ne ho una conoscenza veramente di base. Lo utilizzo perche alcuni programmi sono installati ma a parte piccole "cazzate" non ci ho mai installato roba grossa....è la prima volta...

Forse sbaglio quando creo i directory per mettere i programmi...forse andrebbero messi in posti specifici ... così che Fedora possa trovare più facilmente quel che serve...non so...

Grazie tanto

Christine
yorelchr
Utente Junior
 
Post: 37
Iscritto il: 18/10/11 15:05

Postdi archimede » 12/11/11 12:38

yorelchr ha scritto:ora sto anche provando ad installare Paraview
Hai provato yum install paraview?

HTH.

Alessandro
archimede
Moderatore
 
Post: 2755
Iscritto il: 07/11/02 12:41
Località: Genova

Re: PyQT installazione

Postdi yorelchr » 12/11/11 16:10

ho appena provato. Ma dice:

Setting up Install Process
No package ParaView-3.10.1-Linux-i686 available.
Error: Nothing to do

Eppure il package è accanto, nella cartella software da dove mando il yum.... :-(
yorelchr
Utente Junior
 
Post: 37
Iscritto il: 18/10/11 15:05

Postdi archimede » 12/11/11 18:55

Che versione di Fedora stai usando? Lavori come root? Io ho appena provato con il mio Fedora 15:
Codice: Seleziona tutto
# yum install paraview
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package paraview.i686 0:3.10.1-3.fc15 will be installed
--> Processing Dependency: paraview-data = 3.10.1-3.fc15 for package: paraview-3.10.1-3.fc15.i686
--> Processing Dependency: libOSMesa.so.7 for package: paraview-3.10.1-3.fc15.i686
--> Processing Dependency: libhdf5.so.6 for package: paraview-3.10.1-3.fc15.i686
--> Running transaction check
---> Package hdf5.i686 0:1.8.5.patch1-9.fc15 will be installed
---> Package mesa-libOSMesa.i686 0:7.11-1.fc15 will be installed
---> Package paraview-data.noarch 0:3.10.1-3.fc15 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch        Version                     Repository    Size
================================================================================
Installing:
 paraview            i686        3.10.1-3.fc15               fedora        31 M
Installing for dependencies:
 hdf5                i686        1.8.5.patch1-9.fc15         fedora       1.2 M
 mesa-libOSMesa      i686        7.11-1.fc15                 updates      948 k
 paraview-data       noarch      3.10.1-3.fc15               fedora        13 k

Transaction Summary
================================================================================
Install       4 Package(s)

Total download size: 33 M
Installed size: 136 M
Is this ok [y/N]:
Alessandro
archimede
Moderatore
 
Post: 2755
Iscritto il: 07/11/02 12:41
Località: Genova

Re: PyQT installazione

Postdi yorelchr » 12/11/11 19:39

ciao Archimede,

ho riavviato il computer e ho riprovato ed è andata bene questa volta. Strano perche faccio sempre tutto come root.
Almeno cosi paraview è installato....rimane Saturne :-)

Grazie tanto del tuo aiuto !!!

Christine
yorelchr
Utente Junior
 
Post: 37
Iscritto il: 18/10/11 15:05

Re: PyQT installazione

Postdi yorelchr » 12/11/11 19:44

PS: invece quando lo lancio, ho questo messaggio :

[root@mediceo6NB software]# paraview
Qt: Session management error: None of the authentication protocols specified are supported

ma avevo reinstallato qt-everywhere-opensource-src-4.6.2 senza messaggi di errore.

Cmq, malgrado questo messaggio, apre lo stesso il programma Paraview ma non so se funzionerà bene e visto che nn l'ho mai usato prima e che nn lo conosco, per ora, nn saprei dire....
yorelchr
Utente Junior
 
Post: 37
Iscritto il: 18/10/11 15:05

Postdi archimede » 12/11/11 20:43

yorelchr ha scritto:quando lo lancio, ho questo messaggio :

[root@mediceo6NB software]# paraview
Qt: Session management error: None of the authentication protocols specified are supported
Ma te lo dà solo per l'utente root o anche per l'utente normale? Se lo dà solo per root, come ti logghi a root?

Alessandro
archimede
Moderatore
 
Post: 2755
Iscritto il: 07/11/02 12:41
Località: Genova

Postdi archimede » 12/11/11 21:05

Per quanto riguarda Saturne, senza un rpm ufficiale bisogna sbattersi un po'.

Secondo l'installation guide come minimo dovresti fare:
Codice: Seleziona tutto
yum install blas PyQt4 libxml2 cgnslib
Inoltre sono menzionate una serie di librerie che non trovo nei repositories ufficiali, per cui presumo siano specifiche di questo prodotto: magari dopo che hai installato quanto sopra, la compilazione andrà a buon fine. Altrimenti mi sa che dovrai andare per tentativi, cercando di capire di volta in volta che pezzo richiede e dove reperirlo per la tua versione di Fedora.

Auguri.

Alessandro
archimede
Moderatore
 
Post: 2755
Iscritto il: 07/11/02 12:41
Località: Genova

Re: PyQT installazione

Postdi yorelchr » 14/11/11 10:53

ciao Archimede,

facendo cosi mi installa blas, mi dice che gli altri 2 sono già installati e non vuole installare cgns.
ho provato a ricompilare l'ultimo modulo per il codice SATURNE, cioè, ncs, ma mi dà sempre lo stesso messaggio di errore:

configure: error: cannot find PyQt4 support (>= 4.3), Graphical User Interface cannot be installed
See `config.log' for more details


non trovo quasi niente su internet che mi sia di aiuto.
Non potrebbe essere un problema di PATH?

Menomale, abbiamo installato Paraview. Grazie :-) , almeno potrò fare qualcosa al lavoro oggì!!1

Christine
yorelchr
Utente Junior
 
Post: 37
Iscritto il: 18/10/11 15:05

Postdi archimede » 14/11/11 11:12

yorelchr ha scritto:non vuole installare cgns.
Eh?
yorelchr ha scritto:See `config.log' for more details
E che c'è scritto nel log?

Comunque prova
Codice: Seleziona tutto
yum install PyQt4-devel blas-devel
HTH.

Alessandro
archimede
Moderatore
 
Post: 2755
Iscritto il: 07/11/02 12:41
Località: Genova

Re: PyQT installazione

Postdi yorelchr » 14/11/11 17:55

ciao Archimede,

dicevo di cgnslib...ma l'ho installato poi seguendo la help di Saturne...è andata a buon fine

ho fatto poi quel che dicevi, ma sempre lo stesso messaggio di errore

poi ho reinstallato tutto da capo....ma non cambia nulla

come posso mandarti il config.log? è troppo lungo per stare in un messaggio

non so più come prendere il problema.....
grazie per la tua pazienza

yorelchr
yorelchr
Utente Junior
 
Post: 37
Iscritto il: 18/10/11 15:05


Torna a Software Linux


Topic correlati a "PyQT installazione":


Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti